module Views exposing (view)

import Browser
import Colors
import Consts
import Core
import Element
import Element.Font as Font
import Views.Desktop as Desktop


view : Core.FullModel -> Browser.Document Core.Msg
view model =
    { title = title model
    , body =
        [ Element.layout
            [ Font.color Colors.blackFont
            , Font.size Consts.normalFontSize
            , Font.family [ Font.typeface "Cantarell" ]
            ]
            (Desktop.view model)
        ]
    }


title : Core.FullModel -> String
title model =
    case model of
        Core.Unloaded _ _ _ ->
            Consts.url

        Core.Loaded m ->
            case m.page of
                Core.Home ->
                    Consts.url

                Core.Playlist p ->
                    Consts.url ++ " - " ++ p.name

                Core.Video p v ->
                    Consts.url ++ " - " ++ p.name ++ " - " ++ v.name
